# Command list

|                                                                                                                                                |                                                                                                                                                                                                                                                                                     |
|------------------------------------------------------------------------------------------------------------------------------------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `toncli start [-h] [--name NAME] {wallet, external_data}`                                                                                      | Create simple project, currently only wallet available, name parameter is the name of created folder                                                                                                                                                                                |
| `toncli deploy [contracts] [-h] [--net {testnet,mainnet}] [--workchain WORKCHAIN] [--ton TON] [--update]`                                      | Deploy contracts of project to blockchain, will create StateInit and external message, create boc and send it to blockchain, ton parameter - how much currency need to send, update - update local cached network config, contracts - contracts names to deploy from `project.yaml` |
| `toncli build`                                                                                                                                 | Same as `toncli func build`, build project's files in `func/` to  `build/`                                                                                                                                                                                                          |
| `toncli get [--contract NAME] [GET_METHOD] [--fift FIFT]`                                                                                      | Run get method on contract   if fift provided - will run fift script on get output (all data will passed to stack)                                                                                                                                                                  |
| `toncli run_transaction [-h] [--net {testnet,mainnet}] logical_time transaction_hash smc_address`                                              | Debug message by logical time, transaction hash, account address. Get account data / code / balance and run transaction locally                                                                                                                                                     |
| `toncli tointeger`                                                                                                                             | Parse string to integer to pass it to func code                                                                                                                                                                                                                                     |
| `toncli addrs`                                                                                                                                 | Get smart-contracts addresses of current project                                                                                                                                                                                                                                    |
|                                                                                                                                                |                                                                                                                                                                                                                                                                                     |
| `toncli fift [-h] [--net {testnet,mainnet}] [--workchain WORKCHAIN] [--update] [--fift-args FIFT_ARGS]  [--lite-client-args LITE_CLIENT_ARGS]` |                                                                                                                                                                                                                                                                                     |
| `toncli fift run [--build] [files] [command lite arguments to files]`                                                                          | Run fift file, if --build passed - func code in project will be build first                                                                                                                                                                                                         |
| `toncli fift interactive`                                                                                                                      | Run fift interactive shell a.k.a. default method                                                                                                                                                                                                                                    |
| `toncli fift sendboc [files] [command lite arguments to files]`                                                                                | Run fift file and send boc to blockchain  (you need to specify saveboc and in stack need to be boc)                                                                                                                                                                                 |
| `toncli f`                                                                                                                                     | You can use f instead of fift                                                                                                                                                                                                                                                       |
|                                                                                                                                                |                                                                                                                                                                                                                                                                                     |
| `toncli lite-client [-h] [--net {testnet,mainnet}] [--update] [--lite-client-args LITE_CLIENT_ARGS]`                                           |                                                                                                                                                                                                                                                                                     |
| `toncli lite-client interactive`                                                                                                               | Run lite-client interactive shell a.k.a. default method                                                                                                                                                                                                                             |
| `toncli lite-client [ANY]`                                                                                                                     | Run all other methods and arguments will be passed to lite-client shell, e.g. toncli lc help                                                                                                                                                                                        |
| `toncli lc`                                                                                                                                    | You can use lc instead of lite-client                                                                                                                                                                                                                                               |
|                                                                                                                                                |                                                                                                                                                                                                                                                                                     |
| `toncli func [-h] [--func-args FUNC_ARGS] [--fift-args FIFT_ARGS] [--run]`                                                                     |                                                                                                                                                                                                                                                                                     |
| `toncli func build [file]`                                                                                                                     | Build project's files in `func/` to `build/`  or build file, if in project root and build file - will store file in `build/` else in cwd                                                                                                                                            |
| `toncli func [ANY]`                                                                                                                            | All other stuff will passed to `func` command                                                                                                                                                                                                                                       |
| `toncli fc`                                                                                                                                    | You can use fc instead of func                                                                                                                                                                                                                                                      |
|                                                                                                                                                |                                                                                                                                                                                                                                                                                     |
| `toncli build-cli-lib`                                                                                                                         | Technical command to create cli.fif                                                                                                                                                                                                                                                 |